Skip to main content
`Ctrl`+`K`

# DMPlexTransformCreate

Creates an empty transform object. The type can then be set with `DMPlexTransformSetType()`.

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformCreate(MPI_Comm comm, DMPlexTransform *tr)

Collective

## Input Parameter

- comm - The communicator for the transform object

## Output Parameter

- tr - The transform object

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformType`, `DMPlexTransformSetType()`, `DMPLEXREFINEREGULAR`, `DMPLEXTRANSFORMFILTER`

## Level

beginner

## Location

src/dm/impls/plex/transform/interface/plextransform.c

## Examples

src/dm/label/tutorials/ex1.c
src/ts/tutorials/ex30.c
src/dm/impls/plex/tutorials/ex11.c

## Implementations

DMPlexTransformCreate_Extrude() in src/dm/impls/plex/transform/impls/extrude/plextrextrude.c
DMPlexTransformCreate_Filter() in src/dm/impls/plex/transform/impls/filter/plextrfilter.c
DMPlexTransformCreate_1D() in src/dm/impls/plex/transform/impls/refine/1d/plexref1d.c
DMPlexTransformCreate_Alfeld() in src/dm/impls/plex/transform/impls/refine/alfeld/plexrefalfeld.c
DMPlexTransformCreate_BL() in src/dm/impls/plex/transform/impls/refine/bl/plexrefbl.c
DMPlexTransformCreate_Regular() in src/dm/impls/plex/transform/impls/refine/regular/plexrefregular.c
DMPlexTransformCreate_SBR() in src/dm/impls/plex/transform/impls/refine/sbr/plexrefsbr.c
DMPlexTransformCreate_ToBox() in src/dm/impls/plex/transform/impls/refine/tobox/plexreftobox.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages